//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 1 lights, 8 textures and 97 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  MORAY.EXE V2.5b.wat(c) 1991-1995 Lutz + Kretzschmar
//

//  Date : 04/09/1997    (09.04.1997)
//

//
//  This is the standard include file for POV-Ray. It is included with
//  every scene that Moray V2.0 exports for POV-Ray.
//





global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.8
  hf_gray_16 off
  irid_wavelength <0.25,0.18,0.14>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera Camera01
  location  <44.625, -2.706, 32.940>
  direction <0.0,     0.0,  1.7617>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333, 0.0,  0.0>
  look_at   <0.519, 20.360, 3.699>
}

// *******  L I G H T S *******
light_source {   // Light001
  <3.657, 3.631, 50.000>
  color rgb <1.000, 1.000, 1.000>
}


// ********  TEXTURES  *******
//

#include "can1.inc"



// ********  REFERENCED OBJECTS  *******

#declare SuprQ002 = object {
  superellipsoid { // SuprQ002
    <0.1, 0.15>
    scale <10.0, 10.0, 2.5>
    translate  -4.7*z
  }
}
#declare SuprQ3 = object {
  object { // SuprQ3->SuprQ002
    SuprQ002
    translate  -20.75*x
  }
}
#declare SuprQ4 = object {
  object { // SuprQ4->SuprQ002
    SuprQ002
    translate  -41.5*x
  }
}
#declare SuprQ5 = object {
  object { // SuprQ5->SuprQ002
    SuprQ002
    translate  -62.25*x
  }
}
#declare SuprQ6 = object {
  object { // SuprQ6->SuprQ002
    SuprQ002
    translate  -83.0*x
  }
}
#declare SuprQ7 = object {
  object { // SuprQ7->SuprQ002
    SuprQ002
    translate  -103.75*x
  }
}
#declare SuprQ8 = object {
  object { // SuprQ8->SuprQ002
    SuprQ002
    translate  -124.5*x
  }
}
#declare SuprQ9 = object {
  object { // SuprQ9->SuprQ002
    SuprQ002
    translate  -145.25*x
  }
}




// ********  OBJECTS  *******

object { // BzPtch003
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.000000, -2.000000, 3.900000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <1.000000, -2.000000, 0.000000>, 
      <-2.000000, -1.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, 
      <-2.000000, 0.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <-2.000000, 1.000000, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.000000>, <1.000000, 1.000000, 0.000000>
    }
  }
  scale <20.0, 16.0, 1.0>
  rotate -7.0*z
  translate  <8.0, 36.5, -2.2>
  texture {
    papel
    scale <50.0, 62.5, 1.0>
    rotate 83.0*z
  translate <25.000000, 1.000000, 0.000000>
  }
}


#declare clp12 = intersection {
  box { // C4
    <-1, -1, -1>, <1, 1, 1>
    scale <1.5, 1.0, 1.0>
    translate  <1.029237, 0.0, 5.0>
  }
  torus { // T4
    1.0, 0.1  rotate -x*90
    rotate -90.0*x
    translate  <1.0, 0.0, 4.0>
  }
  scale <1.0, 1.0, 0.8>
  translate  1.8*z
}
#declare clp13 = intersection {
  box { // C5
    <-1, -1, -1>, <1, 1, 1>
    scale <1.5, 1.0, 1.0>
    translate  -1.0*z
  }
  torus { // T5
    0.875, 0.1  rotate -x*90
    rotate -90.0*x
  }
  scale <1.0, 1.0, 0.8>
  translate  <1.125, 0.0, -1.0>
}
#declare clp14 = intersection {
  box { // C6
    <-1, -1, -1>, <1, 1, 1>
    scale <1.5, 1.0, 1.0>
    translate  1.0*z
  }
  torus { // T6
    0.75, 0.1  rotate -x*90
    rotate -90.0*x
  }
  scale <1.0, 1.0, 0.8>
  translate  <1.0, 0.0, 4.0>
}
union { // clip1
  cylinder { // clp8
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 5.0>
  }
  cylinder { // clp9
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 6.0>
    translate  <2.0, 0.0, -1.0>
  }
  cylinder { // clp10
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 5.0>
    translate  <0.25, 0.0, -1.0>
  }
  cylinder { // clp11
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 4.0>
    translate  1.75*x
  }
  object { clp12 }
  object { clp13 }
  object { clp14 }
  texture {
    Chrome_Textur1
  }
  scale 0.8
  rotate <-90.0, 0.0, -80.0>
  translate  <9.5, 21.0, -2.0>
}


#declare BzPtch002 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.800678, -0.031253, -3.900000>, <-0.800000, -1.062507, -3.900000>, <0.800000, -1.062507, -3.900000>, <0.800678, -0.031253, -3.900000>, 
      <-0.163624, 0.000000, -0.976476>, <-0.174560, -1.000000, -0.976476>, <0.131645, -1.000000, -0.976476>, <0.142581, 0.000000, -0.976476>, 
      <-1.416448, -0.300000, 3.397694>, <-1.429239, -1.600000, 3.385153>, <1.429239, -1.600000, 3.385153>, <1.451569, -0.300000, 3.397694>, 
      <-0.100000, 0.700000, 6.600000>, <-0.100000, 0.700000, 6.600000>, <0.100000, 0.700000, 6.600000>, <0.100000, 0.700000, 6.600000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.800678, -0.031253, -3.900000>, <0.801356, 1.000000, -3.900000>, <-0.801356, 1.000000, -3.900000>, <-0.800678, -0.031253, -3.900000>, 
      <0.142581, 0.000000, -0.976476>, <0.153517, 1.000000, -0.976476>, <-0.152688, 1.000000, -0.976476>, <-0.163624, 0.000000, -0.976476>, 
      <1.451569, -0.300000, 3.397694>, <1.473900, 1.000000, 3.410234>, <-1.403657, 1.000000, 3.410234>, <-1.416448, -0.300000, 3.397694>, 
      <0.100000, 0.700000, 6.600000>, <0.100000, 0.700000, 6.600000>, <-0.100000, 0.700000, 6.600000>, <-0.100000, 0.700000, 6.600000>
    }
  }
  texture {
    black1
  }
  scale <1.0, 1.008797, 0.685974>
  rotate 88.98645*x
  translate  <0.0, 6.449383, 0.140001>
}
#declare BzPtch001 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.195178, 1.400000, -1.244098>, <-1.250766, -0.533086, 0.000000>, <-0.700000, -1.300000, 0.000000>, <0.000000, -4.400000, 0.000000>, 
      <-0.816552, 10.612867, -1.000000>, <-0.700000, 4.762233, 0.149297>, <0.000000, 2.199355, 0.267575>, <0.700000, -1.200000, 0.000000>, 
      <-1.521634, 10.000000, 0.000000>, <0.000000, 7.452394, 0.541202>, <0.700000, 4.762233, 0.149297>, <1.250766, -0.533086, 0.000000>, 
      <0.000000, 10.000000, 0.000000>, <1.601720, 10.000000, 0.000000>, <0.890911, 10.612867, -1.000000>, <1.195178, 1.500000, -1.244098>
    }
  }
  texture {
    ponta_caneta
  }
  scale <0.8, 0.581134, 1.0>
  translate  <0.0, 3.784715, 0.946417>
}
union { // Caneta
  object { BzPtch002 }
  object { BzPtch001 }
  cone { // Cone001
    <0,0,0>, 0.67, <0,0,1>, 0.8
    texture {
      caneta1
    }
    scale <2.0, 2.0, 0.8>
    rotate -90.0*x
    translate  7.7*y
  }
  cone { // Cone2
    <0,0,0>, 0.8, <0,0,1>, 0.7
    texture {
      caneta1
    }
    scale <2.0, 2.0, 0.5>
    rotate -90.0*x
    translate  8.5*y
  }
  cone { // Cone3
    <0,0,0>, 0.7, <0,0,1>, 0.7
    texture {
      Gold_Texture2
    }
    scale <2.0, 2.0, 0.6>
    rotate -90.0*x
    translate  9.0*y
  }
  cone { // Cone4
    <0,0,0>, 0.7, <0,0,1>, 1.0
    texture {
      caneta1
    }
    scale <2.0, 2.0, 15.0>
    rotate -90.0*x
    translate  9.6*y
  }
  cone { // Cone5
    <0,0,0>, 1.01, <0,0,1>, 1.01
    texture {
      Gold_Texture2
    }
    scale <2.0, 2.0, 0.4>
    rotate -90.0*x
    translate  24.6*y
  }
  cone { // Cone6
    <0,0,0>, 1.08, <0,0,1>, 0.95
    texture {
      caneta1
    }
    scale <2.0, 2.0, 30.0>
    rotate -90.0*x
    translate  25.0*y
  }
  cone { // Cone7
    <0,0,0>, 0.95, <0,0,1>, 0.95
    texture {
      Gold_Texture2
    }
    scale <2.0, 2.0, 0.6>
    rotate -90.0*x
    translate  55.0*y
  }
  superellipsoid { // SuprQ001
    <1.0, 0.8>
    texture {
      caneta1
    }
    scale <1.88, 1.88, 1.489614>
    rotate -89.85865*x
    translate  55.6*y
  }
  scale <0.8, 0.64, 0.8>
  translate  <0.0, 3.8, -0.2>
}




union { // CSG002
  object { SuprQ002 }
  plane { // Plane001
    z,0
    texture {
      branco
    }
    translate  -2.9*z
  }
  object { SuprQ3 }
  object { SuprQ4 }
  object { SuprQ5 }
  object { SuprQ6 }
  object { SuprQ7 }
  object { SuprQ8 }
  object { SuprQ9 }
  object { // SuprQ10->SuprQ002
    SuprQ002
    translate  20.75*y
  }
  object { // SuprQ11->SuprQ002
    SuprQ002
    translate  41.5*y
  }
  object { // SuprQ12->SuprQ002
    SuprQ002
    translate  62.25*y
  }
  object { // SuprQ13->SuprQ002
    SuprQ002
    translate  83.0*y
  }
  object { // SuprQ14->SuprQ002
    SuprQ002
    translate  103.75*y
  }
  object { // SuprQ15->SuprQ002
    SuprQ002
    translate  124.5*y
  }
  object { // SuprQ16->SuprQ002
    SuprQ002
    translate  145.25*y
  }
  object { // SuprQ17->SuprQ9
    SuprQ9
    translate  20.75*y
  }
  object { // SuprQ18->SuprQ9
    SuprQ9
    translate  41.5*y
  }
  object { // SuprQ19->SuprQ9
    SuprQ9
    translate  62.25*y
  }
  object { // SuprQ20->SuprQ9
    SuprQ9
    translate  83.0*y
  }
  object { // SuprQ21->SuprQ9
    SuprQ9
    translate  103.75*y
  }
  object { // SuprQ22->SuprQ9
    SuprQ9
    translate  124.5*y
  }
  object { // SuprQ23->SuprQ9
    SuprQ9
    translate  145.25*y
  }
  object { // SuprQ24->SuprQ8
    SuprQ8
    translate  <0.0, 20.75, 0.0>
  }
  object { // SuprQ25->SuprQ8
    SuprQ8
    translate  <0.0, 41.5, 0.0>
  }
  object { // SuprQ26->SuprQ8
    SuprQ8
    translate  <0.0, 62.25, 0.0>
  }
  object { // SuprQ27->SuprQ8
    SuprQ8
    translate  <0.0, 83.0, 0.0>
  }
  object { // SuprQ28->SuprQ8
    SuprQ8
    translate  <0.0, 103.75, 0.0>
  }
  object { // SuprQ29->SuprQ8
    SuprQ8
    translate  <0.0, 124.5, 0.0>
  }
  object { // SuprQ30->SuprQ8
    SuprQ8
    translate  <0.0, 145.25, 0.0>
  }
  object { // SuprQ31->SuprQ7
    SuprQ7
    translate  <0.0, 20.75, 0.0>
  }
  object { // SuprQ32->SuprQ7
    SuprQ7
    translate  <0.0, 41.5, 0.0>
  }
  object { // SuprQ33->SuprQ7
    SuprQ7
    translate  <0.0, 62.25, 0.0>
  }
  object { // SuprQ34->SuprQ7
    SuprQ7
    translate  <0.0, 83.0, 0.0>
  }
  object { // SuprQ35->SuprQ7
    SuprQ7
    translate  <0.0, 103.75, 0.0>
  }
  object { // SuprQ36->SuprQ7
    SuprQ7
    translate  <0.0, 124.5, 0.0>
  }
  object { // SuprQ37->SuprQ7
    SuprQ7
    translate  <0.0, 145.25, 0.0>
  }
  object { // SuprQ38->SuprQ6
    SuprQ6
    translate  20.75*y
  }
  object { // SuprQ39->SuprQ6
    SuprQ6
    translate  41.5*y
  }
  object { // SuprQ40->SuprQ6
    SuprQ6
    translate  62.25*y
  }
  object { // SuprQ41->SuprQ6
    SuprQ6
    translate  83.0*y
  }
  object { // SuprQ42->SuprQ6
    SuprQ6
    translate  103.75*y
  }
  object { // SuprQ43->SuprQ6
    SuprQ6
    translate  124.5*y
  }
  object { // SuprQ44->SuprQ6
    SuprQ6
    translate  145.25*y
  }
  object { // SuprQ45->SuprQ5
    SuprQ5
    translate  <0.0, 20.75, 0.0>
  }
  object { // SuprQ46->SuprQ5
    SuprQ5
    translate  <0.0, 41.5, 0.0>
  }
  object { // SuprQ47->SuprQ5
    SuprQ5
    translate  <0.0, 62.25, 0.0>
  }
  object { // SuprQ48->SuprQ5
    SuprQ5
    translate  <0.0, 83.0, 0.0>
  }
  object { // SuprQ49->SuprQ5
    SuprQ5
    translate  <0.0, 103.75, 0.0>
  }
  object { // SuprQ50->SuprQ5
    SuprQ5
    translate  <0.0, 124.5, 0.0>
  }
  object { // SuprQ51->SuprQ5
    SuprQ5
    translate  <0.0, 145.25, 0.0>
  }
  object { // SuprQ52->SuprQ4
    SuprQ4
    translate  20.75*y
  }
  object { // SuprQ53->SuprQ4
    SuprQ4
    translate  41.5*y
  }
  object { // SuprQ54->SuprQ4
    SuprQ4
    translate  62.25*y
  }
  object { // SuprQ55->SuprQ4
    SuprQ4
    translate  83.0*y
  }
  object { // SuprQ56->SuprQ4
    SuprQ4
    translate  103.75*y
  }
  object { // SuprQ57->SuprQ4
    SuprQ4
    translate  124.5*y
  }
  object { // SuprQ58->SuprQ4
    SuprQ4
    translate  145.25*y
  }
  object { // SuprQ59->SuprQ3
    SuprQ3
    translate  20.75*y
  }
  object { // SuprQ60->SuprQ3
    SuprQ3
    translate  41.5*y
  }
  object { // SuprQ61->SuprQ3
    SuprQ3
    translate  62.25*y
  }
  object { // SuprQ62->SuprQ3
    SuprQ3
    translate  83.0*y
  }
  object { // SuprQ63->SuprQ3
    SuprQ3
    translate  103.75*y
  }
  object { // SuprQ64->SuprQ3
    SuprQ3
    translate  124.5*y
  }
  object { // SuprQ65->SuprQ3
    SuprQ3
    translate  145.25*y
  }
  texture {
    azulejo
  }
  scale <1.5, 1.5, 1.0>
  translate  <30.0, -30.0, -0.1>
}


#declare clp5 = intersection {
  box { // C1
    <-1, -1, -1>, <1, 1, 1>
    scale <1.5, 1.0, 1.0>
    translate  <1.029237, 0.0, 5.0>
  }
  torus { // T1
    1.0, 0.1  rotate -x*90
    rotate -90.0*x
    translate  <1.0, 0.0, 4.0>
  }
  scale <1.0, 1.0, 0.8>
  translate  1.8*z
}
#declare clp6 = intersection {
  box { // C2
    <-1, -1, -1>, <1, 1, 1>
    scale <1.5, 1.0, 1.0>
    translate  -1.0*z
  }
  torus { // T2
    0.875, 0.1  rotate -x*90
    rotate -90.0*x
  }
  scale <1.0, 1.0, 0.8>
  translate  <1.125, 0.0, -1.0>
}
#declare clp7 = intersection {
  box { // C3
    <-1, -1, -1>, <1, 1, 1>
    scale <1.5, 1.0, 1.0>
    translate  1.0*z
  }
  torus { // T3
    0.75, 0.1  rotate -x*90
    rotate -90.0*x
  }
  scale <1.0, 1.0, 0.8>
  translate  <1.0, 0.0, 4.0>
}
union { // clip
  cylinder { // clp1
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 5.0>
  }
  cylinder { // clp2
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 6.0>
    translate  <2.0, 0.0, -1.0>
  }
  cylinder { // clp3
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 5.0>
    translate  <0.25, 0.0, -1.0>
  }
  cylinder { // clp4
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 4.0>
    translate  1.75*x
  }
  object { clp5 }
  object { clp6 }
  object { clp7 }
  texture {
    Chrome_Textur1
  }
  scale 0.8
  rotate <-90.0, 0.0, -50.0>
  translate  <6.0, 11.0, -2.0>
}


